EUARE-USERCREATE(1)

NAME
euare-usercreate - Create a new user and optionally add the user to a group or generate an access key for the user

SYNOPSIS
euare-usercreate -u USERNAME [-p PATH] [-g GROUP_NAME] [-k] [-v] [--as-account ACCOUNT] [--region USER@REGION | -U URL] [-I KEY_ID] [-S KEY] [--debug] [--debugger] [--version] [-h]

DESCRIPTION
Create a new user and optionally add the user to a group or generate an access key for the user

  optional arguments:

-u USERNAME, --user-name USERNAME
    name of the new user

-p PATH, --path PATH
    path for the new user (default: "/")

-g GROUP_NAME, --group-name GROUP_NAME
    add the new user to a group

-k, --create-accesskey
    create an access key for the new user and print it to standard out

-v, --verbose
    print the new user's ARN and GUID

--as-account ACCOUNT
    [Eucalyptus cloud admin only] run this command as the administrator of another account

--region USER@REGION
    name of the region and/or user in config files to use to connect to the service

-U URL, --url URL
    identity service endpoint URL

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit